it.reply.healty.innovapuglia.mstaccuino.utility

## Class GenericUtils

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.utility.GenericUtils

-     @Component
      public class GenericUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericUtils()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `generaID()` Metodo che genera un nuovo id per il database
    `String` | `getMimeType(byte[] document)` Calcola il mime type di un documento
    `boolean` | `isMaggiorenne(String codiceFiscale)` Controlla che il codice fiscale in input appartenga ad un maggiorenne
    `String` | `prettyFormatXml(String xml)` Esegue la formattazione di un XML in input

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericUtils

          public GenericUtils()

  - ### Method Detail

    - #### generaID

          public String generaID()

      Metodo che genera un nuovo id per il database
      Returns:
        l'ID generato come nell esempio: 'urn:uuid:7886837f-2f86-4611-a4a2-e7e54ed8b20d'

    - #### isMaggiorenne

          public boolean isMaggiorenne(String codiceFiscale)

      Controlla che il codice fiscale in input appartenga ad un maggiorenne
      Parameters:
        `codiceFiscale` - Il codice fiscale da controllare
      Returns:
        true o false in base al risultato

    - #### prettyFormatXml

          public String prettyFormatXml(String xml)

      Esegue la formattazione di un XML in input
      Parameters:
        `xml` - La stringa contenente l'input da formattare
      Returns:
        La stringa XML formattata. Se si verifica un errore durante la formattazione, viene restituita la stringa di input originale non formattata.

    - #### getMimeType

          public String getMimeType(byte[] document)

      Calcola il mime type di un documento
      Parameters:
        `document` - Contenuto del documento in byte
      Returns:
        Il mime type del documento

Copyright © 2024. All rights reserved.